/*
 * ZD24C02A.h
 *
 *  Created on: 8 сент. 2023 г.
 *      Author: seklyuts
 */

#ifndef SRC_ZD24C02A_CONTROL_MODULE_H_
#define SRC_ZD24C02A_CONTROL_MODULE_H_

#define I2C_CONTROL_MODULE_SLAVE_ADDRESS 0x51U


#define ZD24C02A_CONTROL_MODULE_SIZE 0x80

#include "stdint.h"

uint16_t ZD24C02A_ControlModule_write(uint32_t Addr, uint16_t quant, uint16_t * write_data);
uint16_t ZD24C02A_ControlModule_read(uint32_t Addr, uint16_t quant, uint16_t * read_data);
void ZD24C02A_ControlModule_test(uint16_t * Array);
void ZD24C02A_ControlModule_read_all(uint16_t byteCount, uint16_t * Array);
uint16_t ZD24C02A_ControlModule_verify(uint32_t Addr, uint16_t quant, uint16_t * verify_data);

#endif /* SRC_ZD24C02A_CONTROL_MODULE_H_ */
